Configure a fixed transaction initiator indicator with data.integration.initiatorIndicator in /core/site/create or /core/site/update-all. A valid merchant value takes precedence; if omitted, the site value is used, otherwise, Placetopay determines it automatically. On update, omit the field to preserve its value or send null to clear it. See supported values and examples.

POST/core/site/create

Create a site

This service allows creating a site with the supplied information. If the response is successful, it returns the identifier, status, login and transaccional del sitio.

Request

  • Name
    auth
    Type
    Authentication
    is Required
    REQUIRED
    Description

    Authentication object. See more in Authentication. Structure containing the site’s authentication information generated according to the WSSE UsernameToken Profile 1.1.

  • Name
    data
    Type
    object
    is Required
    REQUIRED
    Description

    Array that contains the information of the site to create.

Request

POST
/core/site/create
curl -X "POST" https://test.placetopay.com/rest/core/site/create \
-H "Content-Type: application/json" \
-d '{
  "auth": {
    "login": "aabbccdd1234567890aabbccdd123456",
    "tranKey": "ABC123example456trankey+789abc012def3456ABC=",
    "nonce": "NjE1MWQ4MDE5YWViMw==",
    "seed": "2021-09-27T09:41:05-05:00"
  },
  "data": {
    "login": "aabbccdd1234567890aabbccdd123456",
    "tranKey": "ABC123example456trankey+789abc012def3456ABC=",
    "md5Hash": "e0xy799SGB3zj689",
    "name": "Site name",
    "displayName": "site display name",
    "customerId": 1,
    "type": "INT",
    "category": "ECOMMERCE",
    "email": "[email protected]",
    "currency": "COP",
    "language": "ES",
    "active": true,
    "customBatch": 1235665,
    " expiration": "2019-08-24T14:15:22Z",
    "onTest": true,
    "integration": {
      "allowPartial": true,
      "allowWallet": true,
      "checkoutAttemptsLimit": "null,",
      "connectionMethod": "REDIRECT",
      "notificationUrl": "www.urlexample.com",
      "checkoutVersion": "v4",
      "analyticsCode": "string"
    },
    "control": {
      "minAmount": 0,
      "maxAmount": 100000000,
      "allowedDays": 127,
      "allowedHours": "ffffffffffffffffffffffffffffffffffffffffff",
      "filterPse": false,
      "filterTuya": false,
      "filterSafetypay": false,
      "prechargeFilter": 0,
      "allowedBankCountries": [
        "CO"
      ],
      "filterByBin": false,
      "exceptionBinsList": [
        411111,
        123456
      ],
      "delegatedAuthorization": "ffffffffffffffffffffffffffffffffffffffffff"
    },
    "threeDS": {
      "setting": "VERY_LOW",
      "minAmount": 0
    },
    "historic": {
      "behaviour": "IGNORE",
      "lowerScore": null,
      "rejectionScore": null
    },
    "creditBureau": {
      "behaviours": {
        "onFailed": "REJECTED",
        "onNoMatch": "REJECTED",
        "onMatch": "PROCESS"
      },
      "paymentGroups": [
        "CASH"
      ],
      "minAmount": 10
    },
    "riskEngine": {
      "behaviours": {
        "onFailed": "REJECTED",
        "onLowRisk": "MANUAL",
        "onMediumRisk": "REJECTED",
        "onHighRisk": "REJECTED"
      },
      "paymentGroups": [
        "CASH"
      ],
      "minAmount": 20,
      "approvalScore": 100,
      "rejectionScore": 250,
      "onCalibration": true
    },
    "securityFilters": {
      "filterLockedByTries": true,
      "allowedIssuerCountries": [
        "CO"
      ],
      "forceIPMatch": true,
      "excludeIPCountry": [
        "CO"
      ],
      "onlyWhitelisted": true,
      "allowedIPCountries": [
        "CO"
      ],
      "allowedCardsDay": 2,
      "allowedCardsByIP": 30,
      "allowedCardsMonth": 2,
      "allowedCardsYear": 5,
      "dayMax": 2,
      "dayMaxAmount": 100000000,
      "monthMax": 5,
      "monthMaxAmount": 100000000
    },
    "operation": {
      "disableTax": true,
      "calculateTax": true,
      "taxPercentage": 0,
      "patternReference": "string",
      "mailCustomer": true,
      "mailMerchant": true
    },
    "subscriptionValidation": {
      "enable": true,
      "amount": 0
    },
    "branding": {
      "buttonColor": "#cc3fdd",
      "sidebarColor": "#ffebeb"
    },
    "token": {
      "notificationUrl": "https://www.token-notification-url.com"
    }
  }
}'

Response

OK

  • Name
    status
    Type
    Status
    is optional
    Description

    Structure that contains information about a request, indicating its current state.

  • Name
    id
    Type
    integer
    is optional
    Description

    Identifier of the created site.

    Example:15
  • Name
    login
    Type
    string
    is optional
    Description

    Site login

    Example:aabbccdd1234567890aabbccdd123456
  • Name
    tranKey
    Type
    string
    is optional
    Description

    Site transaction key

    Example:ABC123example456trankey+789abc012def3456ABC=
  • Name
    active
    Type
    boolean
    is optional
    Description

    Site status.

    Default value:true

Response

POST
/core/site/create
{
  "status": {
    "status": "OK",
    "reason": "00",
    "message": "The request has been processed successfully.",
    "date": "2021-09-21T09:34:48-05:00"
  },
  "id": 15,
  "active": true,
  "login": "aabbccdd1234567890aabbccdd123456",
  "tranKey": "ABC123example456trankey+789abc012def3456ABC="
}

POST/core/site/update

Update a site's branding

This service allows updating the branding and checkout version of a site with the supplied information. If the response is successful, it returns los datos del sitio

Request

  • Name
    auth
    Type
    Authentication
    is Required
    REQUIRED
    Description

    Authentication object. See more in Authentication. Structure containing the site’s authentication information generated according to the WSSE UsernameToken Profile 1.1.

  • Name
    id
    Type
    integer
    is Required
    REQUIRED
    Description

    Site identifier.

    Example:15
  • Name
    branding
    Type
    array
    is optional
    Description

    Array to store the management configuration of the site branding

  • Name
    checkoutVersion
    Type
    string
    is optional
    Description

    Checkout version

Request

POST
/core/site/update
curl -X "POST" https://test.placetopay.com/rest/core/site/update \
-H "Content-Type: application/json" \
-d '{
  "auth": {
    "login": "aabbccdd1234567890aabbccdd123456",
    "tranKey": "ABC123example456trankey+789abc012def3456ABC=",
    "nonce": "NjE1MWQ4MDE5YWViMw==",
    "seed": "2021-09-27T09:41:05-05:00"
  },
  "id": 15,
  "branding": {
    "buttonColor": "#000000",
    "sidebarColor": "#ffebeb"
  }
}'

Response

OK

  • Name
    id
    Type
    integer
    is optional
    Description

    Site identifier

    Example:1
  • Name
    name
    Type
    string
    is optional
    Description

    Site name

    Example:Site CO
  • Name
    displayName
    Type
    string
    is optional
    Description

    Site display name

    Example:Site display Name
  • Name
    document
    Type
    string
    is optional
    Description

    Merchant document

    Example:123596822
  • Name
    documentType
    Type
    string
    is optional
    Description

    Merchant document type

    Example:CC
  • Name
    merchant
    Type
    string
    is optional
    Description

    Merchant name

    Example:Customer CO
  • Name
    merchantBrand
    Type
    string
    is optional
    Description

    Merchant brand

    Example:Customer brand CO
  • Name
    email
    Type
    string
    is optional
    Description

    Site email address

  • Name
    supportEmail
    Type
    string
    is optional
    Description

    Site support email address

    Nullable:Yes
  • Name
    allowedIP
    Type
    string
    is optional
    Description

    IPs authorized to access the system

    Example:127.0.0.1
    Nullable:Yes
  • Name
    allowPartial
    Type
    boolean
    is optional
    Description

    Indicates whether the merchant allows partial payment

    Example:false
  • Name
    allowMulticredit
    Type
    boolean
    is optional
    Description

    Indicates whether it is allowed to make payments to different destinations, only for the PSE payment method

  • Name
    state
    Type
    string
    is optional
    Description

    Indicates whether the site is ACTIVE or INACTIVE

    Example:ACTIVE
  • Name
    currency
    Type
    string
    is optional
    Description

    Site currency

    Example:COP
  • Name
    country
    Type
    string
    is optional
    Description

    Merchant country

    Example:CO
  • Name
    locale
    Type
    string
    is optional
    Description

    Language selected for the site

    Example:EN
  • Name
    locales
    Type
    array
    is optional
    Description

    Languages supported by the merchant

    Example:ENES
  • Name
    expireOn
    Type
    string
    is optional
    Description

    Site expiration date

    Example:2030-05-19 17:59:55
    Nullable:Yes
  • Name
    logoUrl
    Type
    string
    is optional
    Description

    Site logo URL

  • Name
    cssUrl
    Type
    string
    is optional
    Description

    Styles file URL

  • Name
    analyticsCode
    Type
    string
    is optional
    Description

    Google Analytics or Tag Manager code, if both, they are separated by a comma ','.

    Example:UA-171315311-4, GTM-123422
    Nullable:Yes
  • Name
    notificationUrl
    Type
    string
    is optional
    Description

    URL for notification of changes in transactions in redirect requests

    Nullable:Yes
  • Name
    inlineJs
    Type
    string
    is optional
    Description

    HTML code added to the redirect pages

    Nullable:Yes
  • Name
    allowedCurrencies
    Type
    array
    is optional
    Description

    Currencies supported by the merchant

    Example:COPUSDCRC
  • Name
    kount
    Type
    object
    is optional
    Description

    Contains the Kount integration information

  • Name
    md5Hash
    Type
    string
    is optional
    Description

    Data masking algorithm

  • Name
    onboardingToken
    Type
    string
    is optional
    Description

    Access token for the onboarding system

    Example:FakeToken_cS44IiK58uganjnor5ksl3anjdc5sdas4fcavsn4xas8qD4TCbE5J1jIr
    Nullable:Yes
  • Name
    credentials
    Type
    object
    is optional
    Description

    Object containing the site credentials information

  • Name
    integrations
    Type
    object
    is optional
    Description

    Structure containing the integrations.

  • Name
    payerFields
    Type
    array
    is optional
    Description

    Array containing information about the payer field types

  • Name
    allowWallet
    Type
    boolean
    is optional
    Description

    Placetopay Wallet payment indicator

    Example:false
  • Name
    timezone
    Type
    string
    is optional
    Description

    Time zone configured for the site

  • Name
    services
    Type
    array
    is optional
    Description

    Contains information about the payment methods associated with the site

  • Name
    transactionModifiers
    Type
    array
    is optional
    Description

    Contains information about transaction modifiers

  • Name
    compensationMethod
    Type
    object
    is optional
    Description

    Indicates the settlement method

  • Name
    checkoutVersion
    Type
    string
    is optional
    Description

    Redirect version

    Example:v4
  • Name
    branding
    Type
    object
    is optional
    Description

    Contains the site branding configuration

    Example:null
  • Name
    openLinks
    Type
    object
    is optional
    Description

    Contains the information related to the site aliases

  • Name
    promotions
    Type
    array
    is optional
    Description

    Contains information about the active promotions for the site


Response

POST
/core/site/update
{
  "id": 4,
  "name": "Aval Button TEST",
  "displayName": "Aval Button TEST",
  "document": "0987654890",
  "documentType": "NIT",
  "merchant": "Customer Aval",
  "merchantBrand": "Testing Botón Aval",
  "email": "[email protected]",
  "supportEmail": null,
  "allowedIP": null,
  "allowPartial": true,
  "allowMulticredit": false,
  "state": "ACTIVE",
  "currency": "COP",
  "country": "CO",
  "locale": "ES",
  "locales": [],
  "expireOn": null,
  "logoUrl": null,
  "cssUrl": null,
  "analyticsCode": null,
  "notificationUrl": null,
  "inlineJs": null,
  "allowedCurrencies": [
    "COP"
  ],
  "kount": null,
  "md5Hash": "rY2fuzD1",
  "onboardingToken": null,
  "credentials": [
    {
      "login": "aabbccdd1234567890aabbccdd123456",
      "tranKey": "ABC123example456trankey+789abc012def3456ABC=",
      "expireOn": null
    }
  ],
  "integrations": {},
  "payerFields": [
    "name",
    "surname",
    "email",
    "mobile",
    "document",
    "documentType"
  ],
  "allowWallet": true,
  "checkoutAttemptsLimit": null,
  "timezone": "America/Bogota",
  "services": [
    {
      "code": "BTNAV",
      "priority": 1,
      "minPayment": "1.00",
      "maxPayment": "100000000.00",
      "accountNumber": "1234567890",
      "accountType": "Ahorros",
      "bankName": "BANCO POPULAR",
      "bankCode": 2,
      "settings": [],
      "promotions": []
    }
  ],
  "transactionModifiers": [],
  "compensationMethod": {},
  "checkoutVersion": "v3",
  "branding": {
    "logoUrl": "https://static-dev-bucket.s3.amazonaws.com/co/sites/branding/logo-site-5-20240111062950.png",
    "buttonColor": "#000000",
    "sidebarColor": "#ffebeb"
  },
  "openLinks": [],
  "promotions": []
}

POST/core/site/update-all

Update a site

This service allows updating a site with the supplied information. If the response is successful, it returns the site identifier and its status.

Request

  • Name
    auth
    Type
    Authentication
    is Required
    REQUIRED
    Description

    Authentication object. See more in Authentication. Structure containing the site’s authentication information generated according to the WSSE UsernameToken Profile 1.1.

  • Name
    id
    Type
    integer
    is Required
    REQUIRED
    Description

    Site identifier.

    Example:15
  • Name
    data
    Type
    object
    is Required
    REQUIRED
    Description

    Information of the site to update.

Request

POST
/core/site/update-all
curl -X "POST" https://test.placetopay.com/rest/core/site/update-all \
-H "Content-Type: application/json" \
-d '{
  "auth": {
    "login": "aabbccdd1234567890aabbccdd123456",
    "tranKey": "ABC123example456trankey+789abc012def3456ABC=",
    "nonce": "NjE1MWQ4MDE5YWViMw==",
    "seed": "2021-09-27T09:41:05-05:00"
  },
  "id": 15,
  "data": {
    "login": "aabbccdd1234567890aabbccdd123456",
    "tranKey": "ABC123example456trankey+789abc012def3456ABC=",
    "md5Hash": "e0xy799SGB3zj689",
    "name": "Updated name",
    "displayName": "Update display name",
    "type": "INT",
    "category": "ECOMMERCE",
    "email": "[email protected]",
    "currency": "COP",
    "language": "ES",
    "active": true,
    "customBatch": 1235665,
    " expiration": "2019-08-24T14:15:22Z",
    "onTest": true,
    "productionDate": "2024-02-02",
    "integration": {
      "allowPartial": true,
      "allowWallet": true,
      "checkoutAttemptsLimit": "null,",
      "connectionMethod": "REDIRECT",
      "notificationUrl": "www.urlexample.com",
      "checkoutVersion": "v4",
      "analyticsCode": "string",
      "sourceRestriction": "ivr"
    },
    "control": {
      "minAmount": 9999999.99,
      "maxAmount": 0,
      "allowedDays": 127,
      "allowedHours": "ffffffffffffffffffffffffffffffffffffffffff",
      "filterPse": false,
      "filterTuya": false,
      "filterSafetypay": false,
      "prechargeFilter": 0,
      "allowedBankCountries": [
        "CO"
      ],
      "filterByBin": false,
      "exceptionBinsList": [
        411111
      ],
      "delegatedAuthorization": "ffffffffffffffffffffffffffffffffffffffffff"
    },
    "securityFilters": {
      "filterLockedByTries": true
    },
    "branding": {
      "buttonColor": "#cc3fdd",
      "sidebarColor": "#ffebeb"
    },
    "token": {
      "notificationUrl": "https://www.token-new-notification-url.com"
    }
  }
}'

Response

OK

  • Name
    status
    Type
    Status
    is optional
    Description

    Structure that contains information about a request, indicating its current state.

  • Name
    id
    Type
    integer
    is optional
    Description

    Identifier of the updated site.

    Example:15
  • Name
    active
    Type
    boolean
    is optional
    Description

    Site status indicator.

    Default value:true

Response

POST
/core/site/update-all
{
  "status": {
    "status": "OK",
    "reason": "00",
    "message": "The request has been processed successfully.",
    "date": "2021-09-21T09:34:48-05:00"
  },
  "id": 15,
  "active": true
}

POST/core/site/delete

Delete a site

This service allows deleting a site. If the response is successful, returns the identifier of the deleted site.

Request

  • Name
    auth
    Type
    Authentication
    is Required
    REQUIRED
    Description

    Authentication object. See more in Authentication. Structure containing the site’s authentication information generated according to the WSSE UsernameToken Profile 1.1.

  • Name
    id
    Type
    integer
    is Required
    REQUIRED
    Description

    Site identifier.

    Example:15

Request

POST
/core/site/delete
curl -X "POST" https://test.placetopay.com/rest/core/site/delete \
-H "Content-Type: application/json" \
-d '{
  "auth": {
    "login": "aabbccdd1234567890aabbccdd123456",
    "tranKey": "ABC123example456trankey+789abc012def3456ABC=",
    "nonce": "NjE1MWQ4MDE5YWViMw==",
    "seed": "2021-09-27T09:41:05-05:00"
  },
  "id": 15
}'

Response

OK

  • Name
    status
    Type
    Status
    is optional
    Description

    Structure that contains information about a request, indicating its current state.

  • Name
    id
    Type
    integer
    is optional
    Description

    Identifier of the deleted site.

    Example:15

Response

POST
/core/site/delete
{
  "status": {
    "status": "OK",
    "reason": "00",
    "message": "The request has been processed successfully.",
    "date": "2021-09-21T09:34:48-05:00"
  },
  "id": 15
}

POST/core/site/search

Site search

This service allows querying existing sites by filtering by the parameters: site identifier, merchant identifier, nombre, nombre a mostrar, indicador de estado en pruebas y estado del sitio.

Note

It is not required to enter all the parameters for the filter.

If you require custom pagination, you must send the 'pagination' parameter along with the search filters.

Request

  • Name
    auth
    Type
    Authentication
    is Required
    REQUIRED
    Description

    Authentication object. See more in Authentication. Structure containing the site’s authentication information generated according to the WSSE UsernameToken Profile 1.1.

  • Name
    customerId
    Type
    integer
    is optional
    Description

    Identifier of the associated merchant.

    Example:1
  • Name
    id
    Type
    integer
    is optional
    Description

    Site identifier.

    Example:15
  • Name
    name
    Type
    string
    is optional
    Description

    Site name.

    Example:name
    Max length:128
    Min length:3
  • Name
    displayName
    Type
    string
    is optional
    Description

    Site display name

    Example:dispĺayName
    Max length:128
    Min length:3
  • Name
    onTest
    Type
    boolean
    is optional
    Description

    Test status indicator

  • Name
    active
    Type
    boolean
    is optional
    Description

    Site status indicator

  • Name
    pagination
    Type
    object
    is optional
    Description

    Object that contains the pagination parameters.

Request

POST
/core/site/search
curl -X "POST" https://test.placetopay.com/rest/core/site/search \
-H "Content-Type: application/json" \
-d '{
  "auth": {
    "login": "aabbccdd1234567890aabbccdd123456",
    "tranKey": "ABC123example456trankey+789abc012def3456ABC=",
    "nonce": "NjE1MWQ4MDE5YWViMw==",
    "seed": "2021-09-27T09:41:05-05:00"
  },
  "customerId": 1,
  "id": 15,
  "name": "name",
  "displayName": "dispĺayName",
  "onTest": true,
  "active": true,
  "pagination": {
    "perPage": 15,
    "currentPage": 1
  }
}'

Response

OK

  • Name
    status
    Type
    Status
    is optional
    Description

    Structure that contains information about a request, indicating its current state.

  • Name
    data
    Type
    array[Site]
    is optional
    Description
  • Name
    pagination
    Type
    Pagination
    is optional
    Description

    Structure containing the pagination information.


Response

POST
/core/site/search
{
  "status": {
    "status": "OK",
    "reason": "00",
    "message": "The request has been processed successfully.",
    "date": "2021-09-21T09:34:48-05:00"
  },
  "data": [
    {
      "id": 1,
      "login": "aabbccdd1234567890aabbccdd123456",
      "tranKey": "ABC123example456trankey+789abc012def3456ABC=",
      "md5Hash": "e0xy799SGB3zj689",
      "name": "Site name",
      "displayName": "display name",
      "type": "INT",
      "category": "ECOMMERCE",
      "email": "[email protected]",
      "currency": "COP",
      "language": "ES",
      "active": true,
      "customBatch": 1235665,
      " expiration": "2019-08-24T14:15:22Z",
      "onTest": true,
      "productionDate": "2024-01-01",
      "integration": {
        "allowPartial": true,
        "allowWallet": true,
        "allowConfirmationFlow": "true,",
        "checkoutAttemptsLimit": null,
        "connectionMethod": "REDIRECT",
        "notificationUrl": "www.urlexample.com",
        "checkoutVersion": "v4",
        "analyticsCode": "string",
        "sourceRestriction": "microsite"
      },
      "control": {
        "minAmount": 9999999.99,
        "maxAmount": 0,
        "allowedDays": 127,
        "allowedHours": "ffffffffffffffffffffffffffffffffffffffffff",
        "filterPse": false,
        "filterTuya": false,
        "filterSafetypay": false,
        "prechargeFilter": 1,
        "allowedBankCountries": [
          "CO"
        ],
        "filterByBin": false,
        "exceptionBinsList": [
          411111
        ],
        "delegatedAuthorization": "ffffffffffffffffffffffffffffffffffffffffff"
      },
      "threeDS": {
        "setting": "VERY_LOW",
        "minAmount": 40
      },
      "historic": {
        "behaviour": "IGNORE",
        "lowerScore": 100,
        "rejectionScore": 200
      },
      "creditBureau": {
        "behaviours": {
          "onFailed": "REJECTED",
          "onNoMatch": "REJECTED",
          "onMatch": "PROCESS"
        },
        "paymentGroups": [
          "CASH"
        ],
        "minAmount": 10,
        "behaviour": 276
      },
      "riskEngine": {
        "behaviours": {
          "onFailed": "REJECTED",
          "onLowRisk": "MANUAL",
          "onMediumRisk": "REJECTED",
          "onHighRisk": "REJECTED"
        },
        "paymentGroups": [
          "CASH"
        ],
        "minAmount": 20,
        "approvalScore": 100,
        "rejectionScore": 250,
        "onCalibration": true,
        "behaviour": 4372
      },
      "securityFilters": {
        "filterLockedByTries": true,
        "allowedIssuerCountries": [
          "CO"
        ],
        "forceIPMatch": true,
        "excludeIPCountry": [
          "CO"
        ],
        "onlyWhitelisted": true,
        "allowedIPCountries": [
          "CO"
        ],
        "allowedCardsDay": 5,
        "allowedCardsByIP": 10,
        "allowedCardsMonth": 3,
        "allowedCardsYear": 3,
        "dayMax": 1,
        "dayMaxAmount": 200,
        "monthMax": 2,
        "monthMaxAmount": 1000
      },
      "operation": {
        "disableTax": true,
        "calculateTax": true,
        "taxPercentage": 10,
        "patternReference": "string",
        "mailCustomer": true,
        "mailMerchant": true
      },
      "subscriptionValidation": {
        "enable": true,
        "amount": 100
      },
      "branding": {
        "logoUrl": "https://static-dev-bucket.s3.amazonaws.com/co/sites/branding/logo-site-5-20240111062950.png",
        "buttonColor": "#cc3fdd",
        "sidebarColor": "#ffebeb"
      }
    }
  ],
  "pagination": {
    "total": 30,
    "perPage": 10,
    "currentPage": 1,
    "lastPage": 1
  }
}